﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing Pending Tasks</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Pending Tasks</h1>
        <p>This section provides you with information about the pending tasks and actions performed by task owners on those pending tasks manually.&#160;<br /></p>
        <p>To manage pending tasks from ARS, perform the following steps:</p>
        <ol>
            <li>
                <p class="auto-cursor-target">Go to&#160;<strong>ARS </strong></p>
            </li>
            <li>
                <p class="auto-cursor-target">Select<strong> Tasks &gt; Pending Tasks</strong>.</p>
            </li>
        </ol>
        <p>The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.&#160;By default, the tasks are displayed in the descending order of the task creation date.<br /></p>
        <p class="auto-cursor-target">You can search for one or more tasks using the <strong>Search </strong>icon or&#160;<strong>Advanced  &#160;Search</strong> option. The <strong>List of Pending Tasks</strong> table is displayed based on your search parameters with the following default columns:</p>
        <div class="table-wrap">
            <table style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 22.0779%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 77.9221%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Column</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Actions<div class="content-wrapper"><p><br /></p></div></td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>The following options are individually available for each of the listed pending tasks&#160;from the <strong>Actions</strong> column:</p>
                            <ul>
                                <li>View</li>
                                <li>Claim or Unclaim</li>
                                <li>Complete</li>
                                <li>Discontinue</li>
                                <li>Comments</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Task ID</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The task ID created and assigned to a task by the application.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Task Type</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p colspan="1">Describes the type of tasks.&#160;</p>
                            <p colspan="1">The&#160;following task types are available:</p>
                            <ul>
                                <li>
                                    <p colspan="1"><b>Add Access</b>:&#160;Task submitted for adding access.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Remove Access</b>:&#160;Task&#160;submitted for removal of access.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>New Account</b>:&#160;Task&#160;submitted for the creation of a new account.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Change Password</b>:&#160;Task&#160;submitted for change of password.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Update Account</b>:&#160;Task&#160;submitted for updating an account.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Claim Account</b>:&#160;The task&#160;for the owner claiming an account for approving the request submitted by the user.&#160;</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Update User</b>:&#160;Task&#160;submitted for updating the user attributes.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Unlock Account</b>: Task submitted to unlock an account.</p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Lock Account</b>: Task created when a request to lock an account is approved. </p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Enable Account</b>: Task submitted to enable an account. </p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Disable Account</b>: Task submitted to disable an account. </p>
                                </li>
                                <li>
                                    <p colspan="1"><b>Update Access End Date</b>: Task submitted to update the access end date.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Parent Task</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The parent task id, if the task is created from another parent task along with other appropriate details.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">User</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The user name requested for access along with other details about the user.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Account</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>The account name for which the request is raised.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">For ADSI connector, if a user has multiple accounts then the domain name of the account is displayed.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Security System</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The security system for which the request is raised.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Endpoint</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The endpoint (target system) name on which the provision has to be performed.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Entitlement</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The requested entitlements and attributes details for provisioning.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Request ID</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The request identification number associated with the task.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Owner</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The associated owner details. The owner's name is displayed in&#160;Owner Display Name(Owner User Name) format.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Creation Date</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The task creation date.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Status</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p>Displays the current status of the task. The following statuses are available:</p>
                                <ul>
                                    <li><strong>New:</strong> Tasks created when a request is approved</li>
                                    <li><strong>In Progress:</strong> Tasks claimed by the administrators.</li>
                                    <li><strong>Failed:</strong> Provisioning job has tried to provision the task and failed.</li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Update User</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The last updated details of the user such as modifications in the user name or date.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Provisioning Comments</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>The provisioning comments provided if any, during the request approval stage. This column also displays the successResponse and unsucessResponse.&#160;</p>
                            <p>For example, if the tasks are triggered by REST provisioning, then the system displays the successReponse and unsuccessResponse of the provisioning tasks. This helps to&#160;troubleshoot&#160;errors, if any.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">Provisioning Metadata</td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">The provisioning metadata include the user attributes available on the target system, required to provision new requests. This metadata is fetched from the target system and is displayed in the pending tasks table.&#160;</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p>Requested By</p>
                            <p>(Available from v2021.0)</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">Displays the user's username along with the first and last name of the user.</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>The following additional menu options are available in the <strong>List of Pending Tasks</strong> page:</p>
        <ul>
            <li><b>Show Archive Records</b>:&#160;Select the check box to show the archived&#160;requests in <strong>Request History</strong> page. The records of pending tasks are displayed for the set duration. Records past the set duration of days are archived and are displayed on selecting the check box.&#160;The records older than the set duration are archived based on the <strong>JOBHISTORYARCHIVEJOB</strong>&#160;that is run from the <strong>Job Control Panel</strong>.&#160;The duration of archival settings can be set from <strong>Admin &gt; Configuration &gt; Global Configurations &gt; Common</strong> tab.&#160;</li>
            <li><strong>Columns:&#160;</strong>This option in the top right corner of the page helps you to customize the display of columns (that is, select/deselect the columns that are displayed) in the&#160;<strong>List of Pending Tasks</strong> page.</li>
            <li>
                <p><b>Action</b>:&#160;This option in the top right corner of the page provides different options to take action on all tasks in the list</p>
            </li>
        </ul>
        <h2 id="ManagingPendingTasks-ViewingforPendingtask">Viewing for Pending task</h2>
        <p><span>You can search and perform actions on pending tasks. To search for one or more listed pending tasks, perform the following steps:</span>
        </p>
        <ol>
            <li>Go to <strong>ARS</strong>.</li>
            <li>Select <strong>Tasks</strong> &gt;&#160;<strong>Pending Tasks</strong>.<br />The Pending Tasks page appears with the list of pending tasks and action options.</li>
            <li>Click Search to obtain your desired task.&#160;You can also use the&#160;<strong>Advanced</strong>  &#160;<strong>Search</strong>option and filter the tasks&#160;based on Request ID, Task ID, endpoint details, security system details, entitlement details, or user details.</li>
            <li>
                <p>Select <b>View</b> option under the Action column to view the pending task details. The Detail view of the selected task is displayed with the following tabs:</p>
                <ul>
                    <li>
                        <p><b>TaskDetail</b>: Provides view on selected task details.</p>
                    </li>
                    <li>
                        <p><b>Request Detail</b>: Provides&#160;view on the submitted request. </p>
                    </li>
                    <li>
                        <p><b>Approval History</b>: Provides&#160;view on the past approval details for the submitted request. </p>
                    </li>
                    <li>
                        <p><b>Dependent Task</b>: Provides view on child tasks</p>
                    </li>
                    <li>
                        <p><b>Completed Task</b>: Provides&#160;view on the completed task details for the submitted request</p>
                    </li>
                    <li>
                        <p><b>User Details</b>:&#160;Provides&#160;to view on user details for the submitted request.</p>
                    </li>
                </ul>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Once a task is completed, IGA sends notifications to the user based on the task email template field configurations. For more information, see&#160;<MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks</MadCap:xref>.</p>
        </div>
        <h2 id="ManagingPendingTasks-ClaimingTasks"><a name="Claiming_Tasks"></a>Claiming Tasks</h2>
        <p>If a task needs to be managed by a specific owner, then the owner can claim the pending tasks and can manage the task after a suitable investigation. The claimed task can be unclaimed by the owner and can be released to any other owner. After claiming the task, the option changes to Unclaim.</p>
        <p>To claim the task, perform the following steps:</p>
        <ol>
            <li>Go to <strong>ARS</strong>.</li>
            <li>Select <strong>Tasks</strong> &gt;&#160;<strong>Pending Tasks</strong>.<br />The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.</li>
            <li>Click <strong>Search</strong> to obtain your desired task.&#160;You can also use the&#160;<strong>Advanced  &#160;Search</strong> option and filter the tasks&#160;based on Request ID, Task ID, endpoint details, security system details, entitlement details, or user details.</li>
            <li>Select<strong>Claim</strong>option under the <strong>Action </strong>column<span style="color: rgb(0,0,0);">to view the pending task details.</span></li>
            <li>
                <p>Select the check box which provides the option to include pending tasks and claim the task. Click<strong>Save</strong>.</p>
            </li>
            <li>
                <p>After claiming the tasks, the option in the <strong>Actions</strong> menu changes to<strong>Unclaim</strong>&#160;that allows you to unclaim the tasks if you do not want to take any action on it.<br /><br /></p>
            </li>
        </ol>
        <h2 class="sc-bMvGRv izzWrK" id="ManagingPendingTasks-ChangingOwnerofAllPendingTasks">Changing Owner of All Pending Tasks</h2>
        <p>This option allows you to change the owner for the pending tasks to make that new owner responsible for provisioning the pending tasks.</p>
        <p>To change the owner of pending tasks, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>ARS.</strong></li>
            <li>Select <strong>Tasks &gt; Pending Tasks</strong>.<br />The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.</li>
            <li>Click the<strong>Actions</strong>&#160;on the right corner of the page and select the<strong>Change Owner</strong>option from the dropdown.</li>
            <li>The<strong>Are You Sure?</strong>dialog box&#160;that appears for the confirmation of change owner,&#160;Select<strong>Yes</strong>to change the owner of all the listed pending tasks.</li>
            <li>The system&#160;asks you to select the<strong>Owner Type</strong>&#160;from<strong>User</strong>or<strong>User Group</strong>. Select the required owner type and click <strong>Next</strong>.</li>
            <li>Based on your selection the list of users or user groups is displayed. Select the desired user or user group as owner and click Submit.</li>
        </ol>
        <p>The selected user or user group is assigned as an owner for all the pending tasks in the list.<br /><br /></p>
        <h2 class="sc-bMvGRv izzWrK" id="ManagingPendingTasks-DiscontinuingAllPendingTasks">Discontinuing All Pending Tasks</h2>
        <p>You can discontinue all the pending tasks without provisioning the tasks in the target system.&#160;The task owner can discontinue the task and need not provision the request on the target system.&#160;When a task is discontinued, it is marked as completed and listed under <MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref>.</p>
        <p>To discontinue a pending task, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>ARS.</strong></li>
            <li>Select <strong>Tasks &gt; Pending Tasks</strong>.<br />The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.</li>
            <li>Click the<strong>Actions</strong>&#160;on the right corner of the page and select the&#160;<strong>Discontinue All Tasks</strong> option from the dropdown.</li>
            <li>The<strong>Are You Sure?</strong>dialog box appears that appears, select<strong>Yes</strong>to discontinue all pending tasks.</li>
            <li>Enter appropriate comments for discontinuing all the tasks and click<strong>Submit</strong>.</li>
        </ol>
        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
            <div class="confluence-information-macro-body">
                <p>An appropriate email is triggered for discontinuing tasks, depending on the configuredworkflowand an email template.</p>
                <h2>Completing Pending Tasks</h2>
                <p>You can either complete multiple&#160;pending tasks from the list or complete all the pending tasks manually.&#160;The task owner can complete the task and these are not provisioned.&#160;When a task is completed, it is marked as completed and listed under <MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref>.</p>
            </div>
        </div>
        <h3 id="ManagingPendingTasks-CompletingAllPendingTasks">Completing All Pending Tasks</h3>
        <p>To complete all pending tasks from the list, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>ARS.</strong></li>
            <li>Select<strong> Tasks &gt; Pending Tasks.<br /></strong>The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.</li>
            <li>Click the<strong>Actions</strong>&#160;on the right corner of the page and select the&#160;<strong>Complete All Tasks</strong>&#160;option from the dropdown.</li>
            <li>The<strong>Are You Sure?</strong>dialog box that appears, select<strong>Yes</strong>to complete all pending tasks.</li>
        </ol>
        <p>All the tasks are marked as completed and listed under&#160;<MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref>.</p>
        <p>An appropriate email is triggered for completing tasks, depending on the configured&#160;email template</p>
        <h3 id="ManagingPendingTasks-CompletingSelectedPendingTasks">Completing Selected Pending Tasks</h3>
        <p>To complete the selected pending tasks, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>ARS.</strong></li>
            <li>Select<strong> Tasks &gt; Pending Tasks.<br /></strong>The <strong>Pending Tasks</strong> page appears with the list of pending tasks and action options.</li>
            <li>Click&#160;<strong>Actions</strong>&#160;button and select<strong>Complete Selected Tasks</strong>option.</li>
            <li>The<strong>Are You Sure?</strong>dialog box that appears, select<strong>Yes</strong><span style="color: rgb(9,30,66);">to complete the pending task.</span></li>
        </ol>
        <p>All the selected tasks&#160;will be marked as completed and listed under&#160;<MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref>.&#160;</p>
        <p>An appropriate email is triggered for completing tasks, depending on the configured email template.</p>
        <h2 id="ManagingPendingTasks-GeneralNotes">
            <br />General Notes</h2>
        <p>This section provides some of the general notes/ information about pending tasks in IGA.</p>
        <ol>
            <li>As part of role owner certification, SSM creates pending tasks for entitlements when a role is revoked for a user.</li>
            <li>For entitlement management for AD (Active Directory) group management, tasks list for create/update/add access/remove access entitlement types do not display the account name in Pending Task list.</li>
            <li>In case you want to automatically complete the pending tasks, run the WSRETRY job which completes the tasks&#160;and also performs provisioning and deprovisioning of access requests. For more information, see&#160;<MadCap:xref href="Tasks.htm">Tasks</MadCap:xref>.</li>
        </ol>
    </body>
</html>